explain_futimesat_or_die(3)

NAME
explain_futimesat_or_die - change timestamps of a file relative to a directory and report errors
    "change timestamps of a file relative to a directory and report errors"

SYNOPSIS
#include <libexplain/futimesat.h>

void explain_futimesat_or_die(int fildes, const char *pathname, const struct timeval *data);
int explain_futimesat_on_error(int fildes, const char *pathname, const struct timeval *data);

DESCRIPTION
The explain_futimesat_or_die function is used to call the futimesat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_futimesat(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_futimesat_on_error function is used to call the futimesat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_futimesat(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the futimesat(2) system call.

pathname
    The pathname, exactly as to be passed to the futimesat(2) system call.

data
    The data, exactly as to be passed to the futimesat(2) system call.

RETURN VALUE
The explain_futimesat_or_die function only returns on success, see futimesat(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_futimesat_on_error function always returns the value return by the wrapped futimesat(2) system call.

EXAMPLE
The explain_futimesat_or_die function is intended to be used in a fashion similar to the following example:
    explain_futimesat_or_die(fildes, pathname, data);

SEE ALSO

futimesat(2)
    change timestamps of a file relative to a directory

explain_futimesat(3)
    explain futimesat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller